## phat 1.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project("Phat")

set(CMAKE_BUILD_TYPE "Release")

INCLUDE(CheckCXXSourceCompiles)

include_directories (include)

FIND_PACKAGE(OpenMP)

set (CMAKE_REQUIRED_FLAGS ${OpenMP_CXX_FLAGS})
CHECK_CXX_SOURCE_COMPILES("
#include <omp.h>
int main() {
#if (_OPENMP >= 200805 || _MSC_VER >= 1500)
  return 0;
#else
  breaks_on_purpose
#endif
}
" OPENMP_VERSION)

if(OPENMP_VERSION)



set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
else()
message("

OpenMP 3.0 not supported by the compiler (${CMAKE_CXX_COMPILER})! 
To get optimal performance for the \"chunk\" algorithm, use a C++ compiler with OpenMP 3.0 support (e.g., GCC >=4.4).
To use a different compiler, pass it to cmake in the variable CMAKE_CXX_COMPILER: 
 cmake . -DCMAKE_CXX_COMPILER=g++-4.7

")
endif()
 
FILE(GLOB_RECURSE all_headers "include/phat/*.h")

FILE(GLOB general_includes "include/phat/*.h")
FILE(GLOB algorithms_includes "include/phat/algorithms/*.h")
FILE(GLOB helpers_includes "include/phat/helpers/*.h")
FILE(GLOB representations_includes "include/phat/representations/*.h")

add_executable (simple_example src/simple_example.cpp ${all_headers})
add_executable (self_test src/self_test.cpp ${all_headers})
add_executable (phat src/phat.cpp ${all_headers})
add_executable (info src/info.cpp ${all_headers})
add_executable (benchmark src/benchmark.cpp ${all_headers})
add_executable (convert src/convert.cpp ${all_headers})

source_group(Header\ Files FILES ${general_includes})
source_group(Header\ Files\\helpers FILES ${helpers_includes})
source_group(Header\ Files\\representations FILES ${representations_includes})
source_group(Header\ Files\\algorithms FILES ${algorithms_includes})

## phat 0.4.1

=== debian/changelog ===
phat (0.4.1-5) unstable; urgency=low

  * Depends on libgnomecanvas2-dev. (Closes: #659910)
  * Update copyright file.
  * Bump debhelper requirement to be >= 9

 -- Alessio Treglia <alessio@debian.org>  Tue, 14 Feb 2012 21:21:54 +0100

phat (0.4.1-4) unstable; urgency=low

  * Introduce Multi-Arch.
  * Append --enable-debug to configure's options.

 -- Alessio Treglia <alessio@debian.org>  Mon, 16 Jan 2012 15:00:45 +0100

phat (0.4.1-3) unstable; urgency=low

  * Switch to dh-autoreconf.
  * Strip the SONAME out of the -DEV's runtime name:
    - libphat-dev is now built and Provides libphat0-dev.
  * debian/patches/01-binutils_gold.patch:
    - Add patches to phat/Makefile.am since autoreconf is called now.
  * debian/patches/02-gcc46_ftbfs.patch:
    - Get rid of -Werror compilation flag to avoid build failure with
      GCC4.6 (Closes: #625403).
  * Update Standards-Version.

 -- Alessio Treglia <alessio@debian.org>  Sun, 08 May 2011 11:25:16 +0200

phat (0.4.1-2) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New maintainer (Closes: #391134).
  * Set compat file to 7.
  * Set pkg-multimedia-maintainers as maintainer and me as uploader
  * Vcs-* fields added
  * one_space_style applied to control file.
  * Bump Standards
  * Switch to DH 7 short-form.
  * added .gitignore file
  * added gbp.conf file
  * added local-options file
  * switched to source format 3.0 (quilt)
  * removed *.a and *.la files
  * Updated copyright file to DEP-5 rev.166
  * libphat-tools.manpages file added
  * Description in control file fixed
  * bringing back rpath_issue fix
  * Switching from Conflicts to Breaks in libphat-tools binary package
  * Fix descriptions a bit.
  * Add symbols file.
  * Add autotools_dev addon support.
  * Fixed libphat-tools.install file to install files in same way as
    .previous version
  * Fixed watch file
  * Removed redundant override_dh_installchangelogs

  [ Alessio Treglia ]
  * Use dh $@ --with foo syntax for compatibility with DH 8.
  * debian/control:
    - Small improvement to libphat0-dev's description.
    - Add myself to the Uploaders field.
    - Remove trailing whitespaces.
  * Add patch to prevent FTBFS with binutils-gold (Closes: #556060).

 -- Alessio Treglia <alessio@debian.org>  Thu, 24 Feb 2011 12:27:58 +0100

phat (0.4.1-1) unstable; urgency=low

  * QA Upload.
    + Take packaging from Ubuntu.  Thanks to Julien Lavergne.
  [ Julien Lavergne ]
  * New upstream release (LP: #307856). (Closes: #381026).
  * Bump debhelper version to 6.
  * Bump Standards-Version to 3.8.0.
  * Remove dirs files.
  * Rename libphat0-dev.links to libphat-tools.links
  * debian/control
   - Add a libphat-tools binary to ship pixmaps and binaries programs.
   - Add Replaces/Conflicts for libphat-tools to libphat0-dev.
   - Change ${Source-Version} to ${binary:Version} to conform 3.8.0.
   - Add ${misc:Depends}.
   - Add gtk-doc-tools as Build-Depends for the documentation.
   - Add chrpath as Build-Depends to remove RPATH.	
   - Wrap Build-Depends.
   - Add a Homepage.
   - Add section in source.
   - Change maintainer field to Ubuntu MOTU Developers.
  * debian/rules
   - Don't ignore errors in distclean.
   - Remove RPATH with chrpath.
   - Install man page in libphat-tools.
  * debian/watch
   - Update to new location. (Closes: #450056).
  * debian/copyright
   - Update Copyright. 
   - Update Upstream Authors.
  * debian/phat.1
   - Update with new binaries.
  [ Barry deFreese ]
  * Add symlinks for devhelp files in libphat-tools package.
  * Add Suggests for libphat-tools to libphat0 binary package.
  * Remove libphat0-dev.links file. (No need for man pages in this package).
  * Bump Standards Version to 3.8.1. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Tue, 05 May 2009 16:31:19 -0400

phat (0.3.1-3) unstable; urgency=high

  * QA upload.
  * Fix build failure by reverting docs/html removal
    on clean; it's not necessary (Closes: #393973).

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 19 Oct 2006 15:39:55 +0200

phat (0.3.1-2) unstable; urgency=low

  * QA upload. (ACK NMU; Closes: #343996)
  * Set maintainer to QA Group; Orphaned: #391134
  * Remove docs/html on clean otherwise package FTBFS on a
    second buld run (binary contents changed).
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Mon, 16 Oct 2006 10:51:58 +0200

phat (0.3.1-1.1) unstable; urgency=low

  * 0-day NMU to fix a RC bug.
  * Build-depends on libgnomecanvas2-dev (closes: bug#343996).

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  6 Feb 2006 21:06:23 +0100

phat (0.3.1-1) unstable; urgency=low

  * New upstream release

 -- Eduardo Marcel Macan <macan@debian.org>  Sun, 18 Dec 2005 13:06:44 -0200

phat (0.2.3-1) unstable; urgency=low

  * Initial Release. (closes: #287838)

 -- Eduardo Marcel Macan <macan@debian.org>  Tue, 28 Dec 2004 14:34:42 -0200

=== debian/control ===
Source: phat
Priority: optional
Section: graphics
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 autotools-dev (>= 20100122.1),
 chrpath,
 debhelper (>= 9),
 dh-autoreconf,
 gtk-doc-tools,
 libgnomecanvas2-dev,
 libgtk2.0-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-multimedia/phat.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/phat.git
Homepage: http://phat.berlios.de/

Package: libphat-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgnomecanvas2-dev,
 libphat0 (= ${binary:Version}),
 ${misc:Depends}
Provides:
 libphat0-dev
Replaces:
 libphat0-dev (<= 0.4.1-2)
Breaks:
 libphat0-dev (<= 0.4.1-2)
Description: Development files (headers) for libphat
 phat is a collection of gtk widgets geared towards audio apps
 Audio applications demand a set of special widgets of its own
 which phat aims to provide. The first widget being the "fanslider",
 a mix between the button and the slider metaphores, providing the
 user a more precise graphical input method.
 .
 This package contains the headers used to build applications
 that use phat widget collection.

Package: libphat-tools
Architecture: any
Depends:
 libphat0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libphat0-dev (<= 0.3.1-3)
Replaces:
 libphat0-dev (<= 0.3.1-3)
Description: collection of tools for libphat
 phat is a collection of gtk widgets geared towards audio apps
 Audio applications demand a set of special widgets of its own
 which phat aims to provide. The first widget being the "fanslider",
 a mix between the button and the slider metaphores, providing the
 user a more precise graphical input method.
 .
 This package contains collection of gtk apps geared towards
 audio applications, using phat widget collection.

Package: libphat0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 libphat-tools
Description: collection of gtk widgets geared towards audio apps
 Audio applications demand a set of special widgets of its own
 which phat aims to provide. The first widget being the "fanslider",
 a mix between the button and the slider metaphores, providing the
 user a more precise graphical input method.
 .
 This package contains the shared library for libphat.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --with=autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-debug

override_dh_auto_install:
	dh_auto_install
	chrpath -d debian/tmp/usr/lib/*/lib*.so*
	chrpath -d debian/tmp/usr/bin/phat*

=== debian/watch ===
version=3
http://download.berlios.de/phat/phat-([\d\.]+).tar.gz

## phat 1.5

=== debian/changelog ===
phat (1.5-3build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:27:29 +0100

phat (1.5-3build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:08:53 +0000

phat (1.5-3) unstable; urgency=medium

  * Add NEWS entry describing reused package name.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 15 Aug 2019 11:05:29 +0200

phat (1.5-2) unstable; urgency=medium

  * Standards-version 4.4.0.1. No changes needed.
  * Update maintainer email address.
  * Re-upload as source-only.
  * Remove Lintian override that's no longer needed.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 15 Aug 2019 09:36:51 +0200

phat (1.5-1) unstable; urgency=medium

  * Initial release (Closes: #920912)

 -- Gard Spreemann <gspreemann@gmail.com>  Wed, 20 Feb 2019 13:03:51 +0100

=== debian/control ===
Source: phat
Maintainer: Gard Spreemann <gspr@nonempty.org>
Section: math
Priority: optional
Standards-Version: 4.4.0.1
Build-Depends: cmake,
               debhelper (>= 12),
               dh-python,
               python3-all-dev,
               python3-pybind11,
               python3-setuptools
Homepage: https://bitbucket.org/phat-code/phat
Vcs-Browser: https://git.nonempty.org/debian-phat
Vcs-Git: https://git.nonempty.org/debian-phat -b debian/sid

Package: libphat-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: phat-utils
Description: C++ library for boundary matrix reductions over Z/2Z
 PHAT is a header-only C++ library for performing the filtered Z/2Z
 (co)boundary matrix operations commonly needed when computing
 (persistent) (co)homology in topological data analysis.
 .
 This package contains the header files. A standalone program exposing
 some of the features is available in phat-utils.

Package: phat-utils
Section: math
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Utilities from the PHAT library
 PHAT is a header-only C++ library for performing the filtered Z/2Z
 (co)boundary matrix operations commonly needed when computing
 (persistent) (co)homology in topological data analysis.
 .
 This package contains some standalone utilities built using the PHAT
 library, such as persistent homology of a given filtered boundary
 matrix.

Package: python3-phat
Section: python
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python 3 interface for the PHAT library
 PHAT is a header-only C++ library for performing the filtered Z/2Z
 (co)boundary matrix operations commonly needed when computing
 (persistent) (co)homology in topological data analysis.
 .
 This package contains the library's Python 3 interface.

## phat 1.6

=== debian/changelog ===
phat (1.6-2build6) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:15:13 +0000

phat (1.6-2build5) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:11:38 +0000

phat (1.6-2build4) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 19:22:20 -0500

phat (1.6-2build3) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 10:31:10 +0000

phat (1.6-2build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:34:50 +0000

phat (1.6-2build1) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:57:21 +0000

phat (1.6-2) unstable; urgency=medium

  * Start d/upstream/metadata file.
  * Standards-version 4.5.1. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 23 Jan 2021 18:25:03 +0100

phat (1.6-1) unstable; urgency=medium

  * New upstream version.
  * Rules-requires-root: no.
  * Move git repository to Salsa.
  * DH compat 13 (new style).

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 27 Aug 2020 12:38:59 +0200

phat (1.5-5) unstable; urgency=medium

  * Allow tests to output to stderr without causing failure.

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 14 Mar 2020 11:19:04 +0100

phat (1.5-4) unstable; urgency=medium

  * Add tests.
  * Standards-version 4.5.0. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 13 Mar 2020 13:57:54 +0100

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = phat

# To avoid autodetecting upstream's CMakeFile, which doesn't build the
# Python extension.
export PYBUILD_SYSTEM = distutils

%:
	dh $@ --buildsystem=cmake --builddirectory=build
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/phat-$1\.tar\.gz/,uversionmangle=s/-?(RC|rc)/~rc/ \
  https://bitbucket.org/phat-code/phat/downloads/?tab=tags .*/get/v(\d\S+)\.tar\.gz

## phat 1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,9 @@
 
 project("Phat")
 
-set(CMAKE_BUILD_TYPE "Release")
+if (NOT CMAKE_BUILD_TYPE)
+    set(CMAKE_BUILD_TYPE "Release")
+  endif()
 
 INCLUDE(CheckCXXSourceCompiles)

=== debian/changelog ===
phat (1.7-2) unstable; urgency=medium

  * Add patch for CMake 4 compatibility. (Closes: #1113403)
  * Standards-version 4.7.2.0. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 09 Oct 2025 11:52:47 +0200

phat (1.7-1) unstable; urgency=medium

  * New upstream version.
  * Drop upstreamed patch for build options
  * Add patch to correct Python module's version number.
  * Standards-version 4.7.0. No changes needed.
  * Update copyright ranges.
  * Add new algorithms to autopkgtests.
  * Drop watch file, uscan seems unable to deal with Bitbucket.
  * Generate Debian-supplied man page using scdoc.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 29 May 2024 16:30:43 +0200

=== debian/control ===
Source: phat
Maintainer: Gard Spreemann <gspr@nonempty.org>
Section: math
Priority: optional
Standards-Version: 4.7.2.0
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-pybind11,
               python3-setuptools,
               scdoc
Rules-Requires-Root: no
Homepage: https://bitbucket.org/phat-code/phat
Vcs-Browser: https://salsa.debian.org/gspr/phat
Vcs-Git: https://salsa.debian.org/gspr/phat.git -b debian/sid

Package: libphat-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: phat-utils
Description: C++ library for boundary matrix reductions over Z/2Z
 The Persistent Homology Algorithm Toolox is a header-only C++ library
 for performing the filtered Z/2Z (co)boundary matrix operations
 commonly needed when computing (persistent) (co)homology in
 topological data analysis.
 .
 This package contains the header files. A standalone program exposing
 some of the features is available in phat-utils.

Package: phat-utils
Section: math
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Utilities from the PHAT library
 The Persistent Homology Algorithm Toolox is a header-only C++ library
 for performing the filtered Z/2Z (co)boundary matrix operations
 commonly needed when computing (persistent) (co)homology in
 topological data analysis.
 .
 This package contains some standalone utilities built using the PHAT
 library, such as persistent homology of a given filtered boundary
 matrix.

Package: python3-phat
Section: python
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python 3 interface for the PHAT library
 The Persistent Homology Algorithm Toolox is a header-only C++ library
 for performing the filtered Z/2Z (co)boundary matrix operations
 commonly needed when computing (persistent) (co)homology in
 topological data analysis.
 .
 This package contains the library's Python 3 interface.

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,11 @@
 %:
 	dh $@ --buildsystem=cmake --builddirectory=build
 	dh $@ --with python3 --buildsystem=pybuild
+
+execute_after_dh_auto_build: build/phat.1
+
+execute_before_dh_auto_clean:
+	rm -f build/phat.1
+
+build/phat.1: debian/phat.1.scd
+	scdoc < $< > $@

=== debian/tests/control ===
Tests: utils.sh
Depends: phat-utils, shunit2
Restrictions: allow-stderr

Tests: python.sh
Depends: python3-all, python3-phat
Restrictions: allow-stderr
